package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4H6 extends MwfRequest<MWF4H6, MWF4H6Response> {

    @Parameter(name = "ChannelId")
    MWF4H6 channelId(String channelId);
    @Parameter(name = "ProdPackageKey")
    MWF4H6 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "RWS_IDsForProcessing")
    MWF4H6 rWSIDsForProcessing(java.util.List<MWF4H6RWSIDsForProcessing> rWSIDsForProcessing);
}
